Package com.xebialabs.xlrelease.domain.udm.reporting

# Class ItsmRecord

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.facet.Facet
com.xebialabs.xlrelease.domain.facet.TaskReportingRecord
com.xebialabs.xlrelease.domain.udm.reporting.ItsmRecord

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(label="ITSM", description="Unified Data Model for ITSM") public class ItsmRecord extends TaskReportingRecord

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.facet.Facet

  `CONFIGURATION_URI, scope`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItsmRecord()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreatedBy()`
  `String`
  `getPriority()`
  `String`
  `getRecord()`
  `String`
  `getRecord_url()`
  `String`
  `getStatus()`
  `String`
  `getTitle()`
  `void`
  `setCreatedBy(String createdBy)`
  `void`
  `setPriority(String priority)`
  `void`
  `setRecord(String record)`
  `void`
  `setRecord_url(String record_url)`
  `void`
  `setStatus(String status)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.TaskReportingRecord

  `getCreationDate, getRetryAttemptNumber, getServerUrl, getServerUser, isCreatedViaApi, setCreatedViaApi, setCreationDate, setRetryAttemptNumber, setServerUrl, setServerUser`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.Facet

  `accept, freezeVariables, getPropertiesWithVariables, getScope, getTargetId, getVariableMapping, getVariableUsages, setScope, setTargetId, setVariableMapping`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ItsmRecord

    public ItsmRecord()

- ## Method Details

  - ### getRecord

    public String getRecord()

  - ### setRecord

    public void setRecord(String record)

  - ### getRecord_url

    public String getRecord_url()

  - ### setRecord_url

    public void setRecord_url(String record_url)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getPriority

    public String getPriority()

  - ### setPriority

    public void setPriority(String priority)

  - ### getCreatedBy

    public String getCreatedBy()

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)